InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
inertia::ChannelSpec Struct Reference

Channel Specification. More...

`#include <ChannelSpec.h>`

## Public Member Functions
| ChannelSpec ()
| ChannelSpec (const ValueType valueType, const unsigned index=0, const unsigned group=0, const GroupFunction groupFunction=GROUP_FUNCTION_NONE, const ValueFunction valueFunction=VALUE_FUNCTION_NONE)
const std::wstring | ToString () const
bool | operator< (ChannelSpec const &rhs) const

## Public Attributes
ValueType | valueType
| The type is used to target a specific sensor type.
unsigned | index
| The index is used to target a specific axis or index of a sensor.
unsigned | group
| The group that the index belongs to, always 0 expect for ::VALUE_TYPE_CUSTOM were it is the used sampling channel.
ValueFunction | valueFunction
| A function that is applied to the targeted value.
GroupFunction | groupFunction
| A function that is applied to all values in a group.

## Detailed Description

Channel Specification.

A struct for a sensor channel type. Can be used to specify a specific (combination of) sensor value(s).

## Constructor & Destructor Documentation

## ◆ ChannelSpec() [1/2]

inertia::ChannelSpec::ChannelSpec | ( |  | ) |

Default constructor.

## ◆ ChannelSpec() [2/2]

inertia::ChannelSpec::ChannelSpec | ( | const ValueType | valueType,
|  | const unsigned | index = 0,
|  | const unsigned | group = 0,
|  | const GroupFunction | groupFunction = GROUP_FUNCTION_NONE,
|  | const ValueFunction | valueFunction = VALUE_FUNCTION_NONE )

Constructor with individual arguments.

Parameters

  valueType | the valueType
  index | the index
  group | the group
  groupFunction | the groupFunction
  valueFunction | the valueFunction

## Member Function Documentation

## ◆ operator<()

bool inertia::ChannelSpec::operator< | ( | ChannelSpec const & | rhs | ) | const

Less than operator.

Parameters

  rhs | object to compare to

Returns
  true when this is less than rhs.

## ◆ ToString()

const std::wstring inertia::ChannelSpec::ToString | ( |  | ) | const

Get a description of the settings.

Returns
  a string description

The documentation for this struct was generated from the following file:

- ChannelSpec.h